
version: "3.7"

networks:
  mother:
    external: true





volumes:
  rabbit-data:

services:
  rabbitmq:
    image: registry.vnfco.ir/library/rabbitmq:3.8.19-management-alpine
    ports:
      - '5672:5672'
      - '15672:15672'
    environment:
      - RABBITMQ_PASSWORD=muyXHymcTYLzk3wYnIwGUJWECKy0ViUDOUlCmPF3XS2kliuV0TaA0mWf6lT
      - RABBITMQ_USERNAME=igarsonAgent
    volumes:
      - rabbit-data:/bitnami
    deploy:
      update_config:
        parallelism: 1
        delay: 10s
        order: start-first
      restart_policy:
        condition: any
        delay: 5s
        window: 120s 
      replicas: 1
      mode: replicated
    networks:
      - mother